## ffms2 2.40+git20211209

=== test/Makefile ===
# Where to find user code.
USER_DIR = ..

# Points to the root of Google Test, relative to where this file is.
# Remember to tweak this if you move this file.
GTEST_DIR = $(USER_DIR)/test/googletest/googletest

# Where to find sample files
SAMPLES_DIR =

# URL to sync samples from
SAMPLES_URL =

# Flags passed to the preprocessor.
# Set Google Test's header directory as a system directory, such that
# the compiler doesn't generate warnings in Google Test headers.
CPPFLAGS += -isystem $(GTEST_DIR)/include \
	-I$(USER_DIR)/include \
	-D_FILE_OFFSET_BITS=64 \
	-DFFMS_EXPORTS \
	-D__STDC_CONSTANT_MACROS \
	-DSAMPLES_DIR=$(SAMPLES_DIR)

# Flags passed to the C++ compiler.
CXXFLAGS += -g -Wall -Wextra -pthread -std=c++11 -fvisibility=hidden

# All tests produced by this Makefile. Remember to add new tests you
# created to the list.
TESTS = indexer        \
        hdr            \
        display_matrix

RUNTESTS = $(subst $() $(),-run$() $(),$(TESTS))-run

# All the sample files we need to sync
SAMPLES = test.mp4                \
          hdr10tags-both.mkv      \
          hdr10tags-container.mkv \
          hdr10tags-stream.mp4    \
          qrvideo_hflip_90.mov    \
          qrvideo_hflip_270.mov   \
          qrvideo_vflip.mov

# All Google Test headers. Usually you shouldn't change this
# definition.
GTEST_HEADERS = $(GTEST_DIR)/include/gtest/*.h $(GTEST_DIR)/include/gtest/internal/*.h

# House-keeping build targets.

all: $(TESTS)

run: all $(RUNTESTS)

sync:
	@for i in $(SAMPLES); do \
		if [ ! -f "$(SAMPLES_DIR)/$$i" ]; then \
			wget -O $(SAMPLES_DIR)/$$i $(SAMPLES_URL)/$$i; \
		fi \
	done

clean:
	rm -f $(TESTS) gtest.a gtest_main.a *.o
	rm -rf .libs

# Builds gtest.a and gtest_main.a.

# Usually you shouldn't tweak such internal variables, indicated by a
# trailing _.
GTEST_SRCS_ = $(GTEST_DIR)/src/*.cc $(GTEST_DIR)/src/*.h $(GTEST_HEADERS)

# For simplicity and to avoid depending on Google Test's
# implementation details, the dependencies specified below are
# conservative and not optimized. This is fine as Google Test
# compiles fast and for ordinary users its source rarely changes.
gtest-all.o: $(GTEST_SRCS_)
	$(CXX) $(CPPFLAGS) -I$(GTEST_DIR) $(CXXFLAGS) -c $(GTEST_DIR)/src/gtest-all.cc

gtest_main.o: $(GTEST_SRCS_)
	$(CXX) $(CPPFLAGS) -I$(GTEST_DIR) $(CXXFLAGS) -c $(GTEST_DIR)/src/gtest_main.cc

gtest.a: gtest-all.o
	$(AR) $(ARFLAGS) $@ $^

gtest_main.a: gtest-all.o gtest_main.o
	$(AR) $(ARFLAGS) $@ $^

tests.o: $(USER_DIR)/test/tests.cpp $(USER_DIR)/include/ffms.h $(GTEST_HEADERS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(USER_DIR)/test/tests.cpp

hdr.o: $(USER_DIR)/test/hdr.cpp $(USER_DIR)/include/ffms.h $(GTEST_HEADERS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(USER_DIR)/test/hdr.cpp

display_matrix.o: $(USER_DIR)/test/display_matrix.cpp $(USER_DIR)/include/ffms.h $(GTEST_HEADERS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(USER_DIR)/test/display_matrix.cpp

indexer.o: $(USER_DIR)/test/indexer.cpp $(USER_DIR)/include/ffms.h $(GTEST_HEADERS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(USER_DIR)/test/indexer.cpp

indexer: indexer.o tests.o gtest_main.a ../src/core/libffms2.la
	../libtool --tag=CXX --mode=link $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o indexer indexer.o tests.o gtest_main.a -lavutil ../src/core/libffms2.la

indexer-run:
	@./indexer

hdr: hdr.o gtest_main.a ../src/core/libffms2.la
	../libtool --tag=CXX --mode=link $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o hdr hdr.o gtest_main.a -lavutil ../src/core/libffms2.la

hdr-run:
	@./hdr

display_matrix: display_matrix.o gtest_main.a ../src/core/libffms2.la
	../libtool --tag=CXX --mode=link $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o display_matrix display_matrix.o gtest_main.a -lavutil ../src/core/libffms2.la

display_matrix-run:
	@./display_matrix

## ffms2 2.13

=== debian/changelog ===
ffms2 (2.13-0ubuntu2) natty; urgency=low

  * document copyright for src/core/matroskaparser.*

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 06 Nov 2010 09:36:29 +0100

ffms2 (2.13-0ubuntu1) natty; urgency=low

  [ Rickard Närström ]
  * Initial release. (Closes: #601114, LP: #559620)
  * Repacked upstream 7zip to tar.gz
    - Made ffms2_2.13/configure executable

  [ Reinhard Tartler ]
  * Prepare upload for ubuntu
  * add patch descriptions
  * bump standards version
  * delete cleaned up files from branch
  * remove generated files on clean
  * dpkg options that help with Source Format 3.0 (quilt) in git
  * ignore quilt control directory
  * remove symbols file (still a PITA for C++ libraries)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 31 Oct 2010 20:23:03 +0100

=== debian/control ===
Source: ffms2
Priority: optional
Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~),
  autoconf, automake | automaken, libtool, pkg-config,
  libavutil-dev (>= 4:0.6~), libavformat-dev (>= 4:0.6~), libavcodec-dev (>= 4:0.6~),
  libswscale-dev (>= 4:0.6~), libpostproc-dev (>= 4:0.6~),
  zlib1g-dev
Section: libs
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ffms2.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-multimedia/ffms2.git
Homepage: http://code.google.com/p/ffmpegsource/

Package: libffms2-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cross platform ffmpeg wrapper library
 A cross platform ffmpeg wrapper library, and some additional content for
 things ffmpeg doesn't handle well. A more friendly API and an easy way to
 say "open and decompress this, I don't care how".

Package: ffmsindex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command line tool to create ffms2 index files
 A cross platform ffmpeg wrapper library, and some additional content for
 things ffmpeg doesn't handle well. A more friendly API and an easy way to
 say "open and decompress this, I don't care how".
 .
 This package contain a command line indexer tool. Used to create index
 files which can later be used by applications which are useing ffms2
 to speed up loading of multimedia files.

Package: libffms2-dev
Architecture: any
Section: libdevel
Depends: libffms2-0 (= ${binary:Version}), ${misc:Depends}
Recommends: ffmsindex
Description: Development files for libffms2
 A cross platform ffmpeg wrapper library, and some additional content for
 things ffmpeg doesn't handle well. A more friendly API and an easy way to
 say "open and decompress this, I don't care how".
 .
 This package contain headers and other files needed to compile and link
 against libffms2.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS=-Wl,--as-needed

%:
	dh --with=quilt $@

override_dh_auto_configure:
	sh ./autogen.sh
	dh_auto_configure -- --enable-shared

## ffms2 2.15

=== debian/changelog ===
ffms2 (2.15-1) unstable; urgency=low

  [ Rico Tzschichholz ]
  * New upstream version
    + repacked upstream 7zip to tar.gz
    + made ffms2-2.15/configure executable
  * debian/patches:
    + drop UINT64_C-buildfix.patch is upstream
    + fix and refresh symbol-visibility.patch
    + add 10_fix_GCC_build.diff,
      add 11_fix_build_with_ffmpeg_tunk.diff
      - both can be dropped with next upstream
  * debian/control,
    + bump library soname to libffms2-2
  * debian/rules
    + use dh-autoreconf

  [ Reinhard Tartler ]
  * document patches

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 18 Feb 2011 09:13:07 +0100

ffms2 (2.13-2) experimental; urgency=low

  [ Reinhard Tartler ]
  * document copyright for src/core/matroskaparser.*
  * update section for package ffmsindex
  
  [ Alessio Treglia ]
  * Correct team's name.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 16 Nov 2010 09:33:56 +0100

ffms2 (2.13-1) experimental; urgency=low

  [ Rickard Närström ]
  * Initial release. (Closes: #601114, LP: #559620)
  * Repacked upstream 7zip to tar.gz
    - Made ffms2_2.13/configure executable

  [ Reinhard Tartler ]
  * Prepare upload for ubuntu and debian
  * add patch descriptions
  * bump standards version
  * delete cleaned up files from branch
  * remove generated files on clean
  * dpkg options that help with Source Format 3.0 (quilt) in git
  * ignore quilt control directory
  * remove symbols file (still a PITA for C++ libraries)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 04 Nov 2010 23:52:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: ffms2
 Priority: optional
-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Reinhard Tartler <siretart@tauware.de>
-Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~),
-  autoconf, automake | automaken, libtool, pkg-config,
-  libavutil-dev (>= 4:0.6~), libavformat-dev (>= 4:0.6~), libavcodec-dev (>= 4:0.6~),
-  libswscale-dev (>= 4:0.6~), libpostproc-dev (>= 4:0.6~),
-  zlib1g-dev
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Reinhard Tartler <siretart@tauware.de>,
+ Rico Tzschichholz <ricotz@ubuntu.com>
+Build-Depends: debhelper (>= 7.0.50~),
+ dh-autoreconf,
+ pkg-config,
+ libavutil-dev (>= 4:0.6~),
+ libavformat-dev (>= 4:0.6~),
+ libavcodec-dev (>= 4:0.6~),
+ libswscale-dev (>= 4:0.6~),
+ libpostproc-dev (>= 4:0.6~),
+ zlib1g-dev
 Section: libs
 Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ffms2.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/ffms2.git
 Homepage: http://code.google.com/p/ffmpegsource/
 
-Package: libffms2-0
+Package: libffms2-2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Cross platform ffmpeg wrapper library
@@ -23,6 +28,7 @@
 
 Package: ffmsindex
 Architecture: any
+Section: video
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Command line tool to create ffms2 index files
  A cross platform ffmpeg wrapper library, and some additional content for
@@ -36,7 +42,7 @@
 Package: libffms2-dev
 Architecture: any
 Section: libdevel
-Depends: libffms2-0 (= ${binary:Version}), ${misc:Depends}
+Depends: libffms2-2 (= ${binary:Version}), ${misc:Depends}
 Recommends: ffmsindex
 Description: Development files for libffms2
  A cross platform ffmpeg wrapper library, and some additional content for

## ffms2 2.15+svn473

=== debian/changelog ===
ffms2 (2.15+svn473-2) experimental; urgency=low

  * Fix typo in libffms2-dev's dependencies, Closes: #618899, #634113

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Jul 2011 14:32:20 +0200

ffms2 (2.15+svn473-1) experimental; urgency=low

  * New upstream release, cut from svn
  * Builds against libav 0.7, LP: #798436

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 19 Mar 2011 20:42:17 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends: debhelper (>= 7.0.50~),
  dh-autoreconf,
  pkg-config,
- libavutil-dev (>= 4:0.6~),
- libavformat-dev (>= 4:0.6~),
- libavcodec-dev (>= 4:0.6~),
- libswscale-dev (>= 4:0.6~),
- libpostproc-dev (>= 4:0.6~),
+ libavutil-dev (>= 4:0.7~),
+ libavformat-dev (>= 4:0.7~),
+ libavcodec-dev (>= 4:0.7~),
+ libswscale-dev (>= 4:0.7~),
+ libpostproc-dev (>= 4:0.7~),
  zlib1g-dev
 Section: libs
 Standards-Version: 3.9.1
@@ -42,7 +42,13 @@
 Package: libffms2-dev
 Architecture: any
 Section: libdevel
-Depends: libffms2-2 (= ${binary:Version}), ${misc:Depends}
+Depends: libffms2-2 (= ${binary:Version}),
+ libavformat-dev,
+ libavcodec-dev,
+ libswscale-dev,
+ libpostproc-dev,
+ libavutil-dev,
+ ${misc:Depends}
 Recommends: ffmsindex
 Description: Development files for libffms2
  A cross platform ffmpeg wrapper library, and some additional content for

## ffms2 2.16

=== debian/changelog ===
ffms2 (2.16-1) unstable; urgency=low

  * New upstream version.
  * Upload to unstable.
  * Bump Standards Version (no changes needed).

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 01 Sep 2011 23:31:20 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libpostproc-dev (>= 4:0.7~),
  zlib1g-dev
 Section: libs
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ffms2.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/ffms2.git
 Homepage: http://code.google.com/p/ffmpegsource/

## ffms2 2.17

=== debian/changelog ===
ffms2 (2.17-1) unstable; urgency=low

  [ Reinhard Tartler ]
  * Add debian/watch file
  * Imported Upstream version 2.17
    - Bug fix: "FTBFS with libav 0.8", thanks to Reinhard Tartler
      (Closes: #654183).
  * Bug fix: "libffms2-dev must depend on zlib1g-dev", thanks to Fabian
    Greffrath (Closes: #655022).
  
  [ Rico Tzschichholz ]
  * refresh symbol-visibility.patch for new upstream

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 23 Jan 2012 21:33:18 +0100

=== debian/control ===
--- 
+++ 
@@ -48,6 +48,7 @@
  libswscale-dev,
  libpostproc-dev,
  libavutil-dev,
+ zlib1g-dev,
  ${misc:Depends}
 Recommends: ffmsindex
 Description: Development files for libffms2

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS=-Wl,--as-needed

%:
	dh --with autoreconf $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared

=== debian/watch ===
version=3
options="versionmangle=s/\.-src$//" \
http://code.google.com/p/ffmpegsource/downloads/list?can=1 .*/ffms-(\d[\d\.]*)(-src)?\.(?:tar\.gz|tar\.bz2|tar\.xz)

## ffms2 2.17+r731

=== debian/changelog ===
ffms2 (2.17+r731-2) experimental; urgency=low

  * Do not break when compiling against libav 9

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 09 Nov 2012 15:33:26 +0100

ffms2 (2.17+r731-1) experimental; urgency=low

  * New upstream release
    - fixes ftbfs against libav 0.8
  * Update Standards version, no changes needed
  * Enable verbose builds.
  
 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Nov 2012 19:47:05 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libpostproc-dev (>= 4:0.7~),
  zlib1g-dev
 Section: libs
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ffms2.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/ffms2.git
 Homepage: http://code.google.com/p/ffmpegsource/

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,8 @@
 %:
 	dh --with autoreconf $@
 
+override_dh_auto_build:
+	dh_auto_build -- V=1
+
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-shared

## ffms2 2.19

=== debian/changelog ===
ffms2 (2.19-2) unstable; urgency=medium

  * debian/libffms2-3.symbols: Update symbols from template instantiations for
    32 bit architectures.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 17 Dec 2013 17:58:14 +0100

ffms2 (2.19-1) unstable; urgency=low

  * New upstream release (Closes: #721940)
    - Fixes FFMS_GetAudioProperties when built against libav 9. (Closes:
      #731540)
  * Rename libffms2-2 to libffms2-3 because of SONAME bump.
  * New upstream location:
    - debian/control: Update Homepage to new upstream location.
    - debian/watch: Fetch releases from GitHub.
  * Convert upstream changelog from HTML to plaintext.
    - debian/rules: Convert upstream changelog with w3m and install it with
      dh_installchangelogs.
    - debian/control: Add w3m to Build-Depends.
  * Bump debhelper comapt to 9.
    - debian/control: Bump debhelper in Build-Depends to >= 9.
    - debian/compat: Bump to 9.
    - debian/rules: Fix order of arguments to dh.
    - debian/libffms2-{3,dev}.install: Update to new installation location.
  * debian/patches:
    - unbreak-fbtfs-0.8.patch: Removed, no longer needed.
    - fix-compilation-libav.patch: Add upstream patch to fix compilation with
      libav 9.
  * debian/control:
    - Bump libav related (Build-)Depends to >= 4:0.8 as per upstream
      documentation.
    - Drop libpostproc-dev from (Build-)Depends as it is no longer used.
    - Add libavresample-dev to (Build-)Depends.
    - Add myself to Uploaders.
    - Bump Standards-Version to 3.9.5.
    - Mark libffms2-3 as M-A: same and Pre-Depend on ${misc:Pre-Depends}.
  * debian/copyright: Convert to Copyright Format 1.0.
  * debian/libffms2-3.symbols: Add symbols file. (Closes: #731167)
  * debian/libffms2-dev.doc-base: Register API documentation with doc-base.
  * debian/ffmsindex.{1,manpages}: Provide manpage for ffmsindex.
  * debian/rules: Build with --parallel.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 07 Dec 2013 20:55:18 +0100

ffms2 (2.17+r731-3) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * debian/control:
    - Bump debhelper in Build-Depends >= 8.1 for build-{arch,indep} support
      required by Standards-Version 3.9.4.
    - Vcs-*: use anonscm.debian.org.
  * debian/source/local-options: Fix typo.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 05 Sep 2013 19:51:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,28 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
- Rico Tzschichholz <ricotz@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~),
+ Rico Tzschichholz <ricotz@ubuntu.com>,
+ Sebastian Ramacher <sramacher@debian.org>
+Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  pkg-config,
- libavutil-dev (>= 4:0.7~),
- libavformat-dev (>= 4:0.7~),
- libavcodec-dev (>= 4:0.7~),
- libswscale-dev (>= 4:0.7~),
- libpostproc-dev (>= 4:0.7~),
- zlib1g-dev
+ libavutil-dev (>= 4:0.8~),
+ libavformat-dev (>= 4:0.8~),
+ libavcodec-dev (>= 4:0.8~),
+ libswscale-dev (>= 4:0.8~),
+ libavresample-dev,
+ zlib1g-dev,
+ w3m
 Section: libs
-Standards-Version: 3.9.4
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ffms2.git;a=summary
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/ffms2.git
-Homepage: http://code.google.com/p/ffmpegsource/
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ffms2.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/ffms2.git
+Homepage: https://github.com/FFMS/ffms2
 
-Package: libffms2-2
+Package: libffms2-3
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Cross platform ffmpeg wrapper library
  A cross platform ffmpeg wrapper library, and some additional content for
@@ -42,11 +46,11 @@
 Package: libffms2-dev
 Architecture: any
 Section: libdevel
-Depends: libffms2-2 (= ${binary:Version}),
+Depends: libffms2-3 (= ${binary:Version}),
  libavformat-dev,
  libavcodec-dev,
  libswscale-dev,
- libpostproc-dev,
+ libavresample-dev,
  libavutil-dev,
  zlib1g-dev,
  ${misc:Depends}

=== debian/watch ===
version=3
https://github.com/FFMS/ffms2/releases .*/(\d[\d.]*)\.(?:tar\.gz|tar\.bz2|tar\.xz)

## ffms2 2.20

=== debian/changelog ===
ffms2 (2.20-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix-compilation-libav.patch: Dropped, no longer needed.
  * debian/copyright: Add Thomas Goyne.
  * debian/libffms2-3.symbols: Update symbols from template instantiations.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 Jul 2014 02:21:38 +0200

ffms2 (2.19.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Apr 2014 16:51:37 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_build:
	dh_auto_build -- V=1
	w3m -dump doc/ffms2-changelog.html > doc/changelog

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog

## ffms2 2.21

=== debian/changelog ===
ffms2 (2.21-4build1) wily; urgency=medium

  * No-change rebuild against ffmpeg 2.7

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 01 Sep 2015 17:43:15 +0200

ffms2 (2.21-4) unstable; urgency=medium

  * debian/control: Also add python3 to B-D.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 14 Jul 2015 21:40:15 +0200

ffms2 (2.21-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Use Python-Markdown for building docs. (Closes: #792259, #792287)

  [ Sebastian Ramacher ]
  * debian/patches/fix-links.patch: Use a patch instead of sed.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 13 Jul 2015 18:27:29 +0200

ffms2 (2.21-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 23 May 2015 13:22:07 +0200

ffms2 (2.21-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: libffms2-3 -> libffms2-4.
  * debian/control:
    - Bump Standards-Version to 3.9.6, no changes required.
    - Replace w3m with pandoc in Build-Depends.
  * debian/rules:
    - Build with --disable-silent-rules
    - Build API documentation with pandoc.
  * debian/libffms2-4.symbols:
    - Add new symbols.
    - Generate tigther dependencies for exported C++ symbols.
  * debian/copyright:
    - Remove paragraph for src/core/matroskaparser.*. The code has been
      removed.
    - Update copyright years and holders.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 May 2015 21:27:00 +0200

## ffms2 2.22

=== debian/changelog ===
ffms2 (2.22-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Remove unused paragraph.
    - Add myself.
  * debian/libffms2-4.symbols: Update version.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 13 Oct 2015 17:58:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ffms2
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Reinhard Tartler <siretart@tauware.de>,
+Uploaders:
+ Reinhard Tartler <siretart@tauware.de>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: debhelper (>= 9),
@@ -13,14 +14,15 @@
  libswscale-dev (>= 4:0.8~),
  libavresample-dev,
  zlib1g-dev,
- w3m
+ python3,
+ python3-markdown
 Section: libs
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ffms2.git;a=summary
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/ffms2.git
 Homepage: https://github.com/FFMS/ffms2
 
-Package: libffms2-3
+Package: libffms2-4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -46,7 +48,7 @@
 Package: libffms2-dev
 Architecture: any
 Section: libdevel
-Depends: libffms2-3 (= ${binary:Version}),
+Depends: libffms2-4 (= ${binary:Version}),
  libavformat-dev,
  libavcodec-dev,
  libswscale-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --disable-silent-rules

override_dh_auto_build:
	dh_auto_build
	python3 -m markdown doc/ffms2-api.md \
		-x fenced_code -x headerid >doc/ffms2-api.html

override_dh_installchangelogs:
	dh_installchangelogs doc/ffms2-changelog.md

## ffms2 2.23

=== debian/changelog ===
ffms2 (2.23-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - B-D on libswresample-dev
    - Bump Standards-Version
    - Set RRR: no
    - Remove unnecessary Recommends
    - Extend Description
  * debian/: Bump debhelper compat to 13

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 18 Jun 2021 00:28:20 +0200

ffms2 (2.23-4) unstable; urgency=medium

  * debian/rules: Replace headerid extension with toc. (Closes: #917590)
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 29 Dec 2018 09:48:15 +0100

ffms2 (2.23-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 May 2018 11:35:52 +0200

ffms2 (2.23-2) unstable; urgency=medium

  * debian/control:
    - Remove obsolete Pre-Depends.
    - Bump Standards-Version.
    - Mark libffms2-dev as M-A: same.
  * debian/: Bump debhelper compat to 11.
  * debian/rules: Build with hardening=+all.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 01 Jan 2018 10:37:24 +0100

ffms2 (2.23-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update copyright years.
  * debian/{control,rules,compat}: Bump debhelper compat to 10.
  * debian/control:
    - Bump Standards-Version.
    - Update Vcs-.
  * debian/patches: Refresh patches.
  * debian/libffms2-4.symbols: Add new symbols.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Oct 2016 20:46:13 +0200

=== debian/control ===
Source: ffms2
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Rico Tzschichholz <ricotz@ubuntu.com>,
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends: debhelper-compat (= 13),
 pkg-config,
 libavcodec-dev (>= 4:0.8~),
 libavformat-dev (>= 4:0.8~),
 libavutil-dev (>= 4:0.8~),
 libswresample-dev,
 libswscale-dev (>= 4:0.8~),
 zlib1g-dev,
 python3,
 python3-markdown
Section: libs
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/multimedia-team/ffms2
Vcs-Git: https://salsa.debian.org/multimedia-team/ffms2.git
Homepage: https://github.com/FFMS/ffms2
Rules-Requires-Root: no

Package: libffms2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libffms2-4 (= ${binary:Version}),
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libswresample-dev,
 libswscale-dev,
 zlib1g-dev,
 ${misc:Depends}
Description: Development files for libffms2
 A cross platform ffmpeg wrapper library, and some additional content for
 things ffmpeg doesn't handle well. A more friendly API and an easy way to
 say "open and decompress this, I don't care how".
 .
 This package contain headers and other files needed to compile and link
 against libffms2.

Package: libffms2-4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cross platform ffmpeg wrapper library
 A cross platform ffmpeg wrapper library, and some additional content for
 things ffmpeg doesn't handle well. A more friendly API and an easy way to
 say "open and decompress this, I don't care how".
 .
 This package contains the shared library.

Package: ffmsindex
Architecture: any
Section: video
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command line tool to create ffms2 index files
 A cross platform ffmpeg wrapper library, and some additional content for
 things ffmpeg doesn't handle well. A more friendly API and an easy way to
 say "open and decompress this, I don't care how".
 .
 This package contain a command line indexer tool. Used to create index
 files which can later be used by applications which are useing ffms2
 to speed up loading of multimedia files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared

override_dh_auto_build:
	dh_auto_build
	python3 -m markdown doc/ffms2-api.md \
		-x fenced_code -x toc >doc/ffms2-api.html

override_dh_installchangelogs:
	dh_installchangelogs doc/ffms2-changelog.md

## ffms2 2.40%2Bgit20211209

=== debian/changelog ===
ffms2 (2.40+git20211209-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Sebastian Ramacher ]
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 07 Feb 2022 21:46:42 +0100

ffms2 (2.40+git20211209-1) experimental; urgency=medium

  * New upstream version 2.40+git20211209
    - Fix build with ffmpeg 5.0 (Closes: #1004720)
  * SONAME bump: libffms2-4 -> libffms2-5
  * debian/control: Bump Standards-Version
  * debian/copyright: Update for git snapshot

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 02 Feb 2022 09:26:06 +0100

## ffms2 2.40+git20211209

=== debian/changelog ===
ffms2 (2.40+git20211209-2build2) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:40:33 +0200

ffms2 (2.40+git20211209-2build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:49:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ffms2
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
@@ -16,7 +17,7 @@
  python3,
  python3-markdown
 Section: libs
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ffms2
 Vcs-Git: https://salsa.debian.org/multimedia-team/ffms2.git
 Homepage: https://github.com/FFMS/ffms2
@@ -26,7 +27,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libffms2-4 (= ${binary:Version}),
+Depends:
+ libffms2-5 (= ${binary:Version}),
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
@@ -42,7 +44,7 @@
  This package contain headers and other files needed to compile and link
  against libffms2.
 
-Package: libffms2-4
+Package: libffms2-5
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}

## ffms2 5.0~rc2

=== test/Makefile ===
--- 
+++ 
@@ -39,7 +39,8 @@
           hdr10tags-stream.mp4    \
           qrvideo_hflip_90.mov    \
           qrvideo_hflip_270.mov   \
-          qrvideo_vflip.mov
+          qrvideo_vflip.mov       \
+          vp9_audfirst.webm
 
 # All Google Test headers. Usually you shouldn't change this
 # definition.

=== debian/changelog ===
ffms2 (5.0~rc2-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:15:01 +0000

ffms2 (5.0~rc2-1) unstable; urgency=medium

  * New upstream version 5.0~rc2
  * debian/watch: Update for github changes
  * debian/patches: Refresh patches
  * debian/control: Bump libav* requirements
  * debian/libffms2.5.symbols:
    - Update VapourSynth entry point
    - Add Build-Depends-Package

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Mar 2024 11:11:24 +0100

ffms2 (2.40+git20211209-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Use pkgconf
  * debian/: Honor nodoc option

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Mar 2024 10:48:46 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: debhelper-compat (= 13),
- pkg-config,
- libavcodec-dev (>= 4:0.8~),
- libavformat-dev (>= 4:0.8~),
- libavutil-dev (>= 4:0.8~),
- libswresample-dev,
- libswscale-dev (>= 4:0.8~),
+ pkgconf,
+ libavcodec-dev (>= 7:6.1),
+ libavformat-dev (>= 7:6.1),
+ libavutil-dev (>= 7:6.1),
+ libswresample-dev (>= 7:6.1),
+ libswscale-dev (>= 7:6.1),
  zlib1g-dev,
- python3,
- python3-markdown
+ python3 <!nodoc>,
+ python3-markdown <!nodoc>
 Section: libs
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ffms2
 Vcs-Git: https://salsa.debian.org/multimedia-team/ffms2.git
 Homepage: https://github.com/FFMS/ffms2

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

execute_before_dh_autoreconf:
	mkdir -p src/config

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared

execute_after_dh_auto_build:
	# build documentation
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	python3 -m markdown doc/ffms2-api.md \
		-x fenced_code -x toc >doc/ffms2-api.html
endif

override_dh_auto_test:
	# tests requires to download samples

override_dh_installchangelogs:
	dh_installchangelogs doc/ffms2-changelog.md

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain,uversionmangle=s/-RC/~rc/" \
    https://api.github.com/repos/FFMS/ffms2/releases?per_page=100 \
    https://api.github.com/repos/FFMS/ffms2/tarball/@ANY_VERSION@

## ffms2 5.0

=== debian/changelog ===
ffms2 (5.0-1) unstable; urgency=medium

  * New upstream version 5.0
  * debian/libffms2-5.symbols: Remove unused symbol

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 30 May 2024 23:38:16 +0200

ffms2 (5.0~rc4-1) unstable; urgency=medium

  * New upstream version 5.0~rc4
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 May 2024 18:49:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ffms2
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
@@ -17,7 +16,7 @@
  python3 <!nodoc>,
  python3-markdown <!nodoc>
 Section: libs
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ffms2
 Vcs-Git: https://salsa.debian.org/multimedia-team/ffms2.git
 Homepage: https://github.com/FFMS/ffms2
